Bug 234005 - www/redmine: Update to 4.0.1
Summary: www/redmine: Update to 4.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthias Fechner
URL: https://www.redmine.org/news/119
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2018-12-14 09:16 UTC by cedric
Modified: 2019-11-11 18:10 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
patch (138.03 KB, patch)
2019-11-11 12:08 UTC, mikael.urankar
no flags Details | Diff
patch (134.58 KB, patch)
2019-11-11 12:17 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cedric 2018-12-14 09:16:52 UTC
Please update redmine to version 4.0.0.

I know nothing about ruby, rails and friends, therefore I cannot write the port, but I would be glad to test. Thanks.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 09:39:58 UTC
This presumably also affects all redmine plugins in ports (www/redmine-*), which as such, appears to be a rather and relatively extensive update, possibly the main reason why it hasn't been updated to 4.x yet.

While we are not against 'requests to update' in general or specifically being created in Bugzilla, this may well be a good candidate for the Wiki's WantedPort page [1]

@Cedric Would having Redmine 4 added there be a sufficient resolution to this request, rather than (potentially, but likely) have this issue languish without progress?

We can certainly keep this issue open for a certain period before closing it.

[1] https://wiki.freebsd.org/WantedPorts
Comment 2 cedric 2018-12-14 10:48:01 UTC
I'm in the process to install many redmine/freebsd instances
both internally and at customer sites. And I would of course
like to install an up-to-date version. I don't need plugins
and I could compile 4.0.0 manually I guess, but then I need
rails 5.2.2, but I see the port rubygem-rails5 (do I need it?)
is at 5.1.6.1.

@koobs: If you think having Redmine 4 at WantedPort is the best
resolution, than that's fine with me, but if I could first have
a comment from the redmine maintainers about the following
questions, that would be great:

1) Is there a plan for a Redmine 4 upgrade in the near future?

2) If not, what would be the best way for someone like me (who
knows Freebsd/C/C++/etc very well but has no experience with Ruby)
to install Redmine 4 / Postgresql on FreeBSD?

Thanks
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 11:09:50 UTC
(In reply to cedric from comment #2)

Understood and understandable.

I think it would be good to add it to the wiki nonetheless, so I'll do that.

Similar to Python, I think the answer to the last question might comprise something like:

Use RVM or equivalent/similar virtual environment to install ruby application stacks above the 'ruby language' (ruby language freebsd package) layer. I would include 'rails' in the definition of application layer.

Concretely, that would mean:

- Install lang/rubyXX port/package that redmine4 requires
- Install postgresql port/package you want.
- Use rvm (or equiv) to create per customer/instance virtual environments that install redmine and everything else above that.

Alternatively, since you don't require plugins, in particular the ones we have in ports that are probably blockers/required to update the redmine port, you could run a local version of the redmine port, updated to 4.x. I wouldn't guess that the port delta to 4.x would be huge.

Which makes me think of another option: to create a www/redmine4 port, leaving www/redmine as it is (on 3.x) to be deprecated someday. There are plenty of other examples in ports where we have version-suffixed ports of the same software for each major/branch version.
Comment 4 Matthias Fechner freebsd_committer 2018-12-14 11:33:24 UTC
A complete different approach:
Is maybe using gitlab-ce instead of redmine an option?

If not, please forget my comment ;)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 11:56:51 UTC
I note that Redmine 4.0.0 was released 5 days ago [1]

[1] https://www.redmine.org/news/119
Comment 6 cedric 2018-12-14 11:59:59 UTC
Yes, it was released 5 days ago, but it was supposed to be released "very soon" since last summer, which is why I'm anxious to finally use it ;)
Comment 7 Alexander Ushakov 2019-09-18 16:35:02 UTC
Redmine already is 4.0.4 and it is a parallel brunch with 3.4 version. 4.0 brunch has support for rails5 and 3.4 - not. So it looks like that it is better to separate redmine 4 to something like www/redmine4 port with rails5 in dependencies
Comment 8 ev 2019-11-07 14:32:41 UTC
Redmine already is 4.0.5
Comment 9 mikael.urankar 2019-11-11 12:08:40 UTC
Created attachment 209054 [details]
patch

Here is a port for redmine4.
packaging ruby gems seems incredibly fragile, this patch may break other ports.
Comment 10 mikael.urankar 2019-11-11 12:17:34 UTC
Created attachment 209055 [details]
patch

remove a stray file
Comment 11 commit-hook freebsd_committer 2019-11-11 17:46:58 UTC
A commit references this bug:

Author: mfechner
Date: Mon Nov 11 17:46:27 UTC 2019
New revision: 517271
URL: https://svnweb.freebsd.org/changeset/ports/517271

Log:
  New ports required for www/redmine4

  PR:		234005
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	mfechner

Changes:
  head/mail/Makefile
  head/mail/rubygem-roadie-rails52/
  head/mail/rubygem-roadie-rails52/Makefile
  head/textproc/Makefile
  head/textproc/rubygem-actionpack-xml_parser52/
  head/textproc/rubygem-actionpack-xml_parser52/Makefile
Comment 12 commit-hook freebsd_committer 2019-11-11 17:49:00 UTC
A commit references this bug:

Author: mfechner
Date: Mon Nov 11 17:48:55 UTC 2019
New revision: 517272
URL: https://svnweb.freebsd.org/changeset/ports/517272

Log:
  Upgrade to 0.5.2 which is required for www/redmine4.

  PR:		234005
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	mfechner

Changes:
  head/databases/rubygem-mysql2/Makefile
  head/databases/rubygem-mysql2/distinfo
Comment 13 commit-hook freebsd_committer 2019-11-11 17:52:02 UTC
A commit references this bug:

Author: mfechner
Date: Mon Nov 11 17:51:00 UTC 2019
New revision: 517273
URL: https://svnweb.freebsd.org/changeset/ports/517273

Log:
  Update to 2.9.2 which is required for www/redmine4.

  PR:		234005
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	mfechner

Changes:
  head/net/rubygem-ruby-openid/Makefile
  head/net/rubygem-ruby-openid/distinfo
Comment 14 commit-hook freebsd_committer 2019-11-11 17:58:04 UTC
A commit references this bug:

Author: mfechner
Date: Mon Nov 11 17:57:55 UTC 2019
New revision: 517275
URL: https://svnweb.freebsd.org/changeset/ports/517275

Log:
  New port for redmine version 4.0.5.

  PR:		234005
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	mfechner

Changes:
  head/www/Makefile
  head/www/redmine4/
  head/www/redmine4/Makefile
  head/www/redmine4/distinfo
  head/www/redmine4/files/mysql.rb
  head/www/redmine4/files/patch-Gemfile
  head/www/redmine4/files/pg.rb
  head/www/redmine4/pkg-plist
Comment 15 Matthias Fechner freebsd_committer 2019-11-11 18:02:17 UTC
Committed, thanks!
Comment 16 commit-hook freebsd_committer 2019-11-11 18:10:07 UTC
A commit references this bug:

Author: mfechner
Date: Mon Nov 11 18:09:39 UTC 2019
New revision: 517276
URL: https://svnweb.freebsd.org/changeset/ports/517276

Log:
  Mark redmine to conflict with redmine4.

  PR:		234005
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	mfechner

Changes:
  head/www/redmine/Makefile